:root {
    --blue: #007bff;
    --blue-bg: #007ced;
    --indigo: #6610f2;
    --purple: #6f42c1;
    --white: #fff;
    --gray: #6c757d;
    --gray-light: #999;
    --gray-dark: #333;
    --primary: #007bff;
    --secondary: #6c757d;
    --light: #f8f9fa;
    --dark: #343a40;
    --light-blue: #f8f9ff;
    --breakpoint-sm: 576px;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    transition: all 0.25s ease-out;
}

body,
html {
    width: 100vw;
    min-width: 100vw;
    max-width: 100vw;
}

html {
    scroll-behavior: smooth;
    overflow-x: hidden;
    scroll-padding: 80px;
}

body {
    background-color: var(--blue-bg);
    font-family: "Poppins", Helvetica, sans-serif;
    padding: 0 20px;
    background-image: url('../resources/bgPattern.png');
}

.container {
    display: flex;
    flex-flow: column;
    position: relative;
    -webkit-box-flex: 0;
    flex: 0 0 100%;
    max-width: 1600px;
    width: 100%;
    margin: 3% 0;
    padding: 30px 70px 60px;
    background-color: var(--white);
    box-shadow: 0 0 40px -10px rgba(0, 0, 0, .2);
    border-radius: 40px;
    backface-visibility: hidden;
    left: 50%;
    transform: translate(-50%, 0%);
}

.pages {
    display: flex;
    flex-direction: column;
}

.page {
    display: flex;
    align-items: center;
    gap: 50px;
    margin: 5% 10% 0 10%;
    padding: 5%;
    border-bottom: 1px solid #ddd;
    justify-content: center;
}

.about-page .pic {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 100%;
    min-width: 270px !important;
    width: 270px;
    height: 270px !important;
    box-shadow: 0 0 25px 0 rgb(0 0 0 / 10%);
}

.about-page .pic img {
    border-radius: 100%;
    height: 250px;
    width: 250px;
}

.about-page .about {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.about .name {
    font-size: 2rem;
}

.about .paragraph {
    color: var(--gray-dark);
}

.btn {
    height: 30px;
    padding: 5px 20px;
    border: none;
    border-radius: 30px;
    cursor: pointer;
    margin: 2px;
}

.btn.primary {
    background-color: var(--primary);
    color: var(--white);
}

/* for container and footer center*/
@media screen and (max-width:600px) {
    .container {
        padding: 20px;
    }

    .container footer {
        width: calc(100% + 40px);
        transform: translate(-20px, 20px)
    }
}

/* for header main nav*/
@media screen and (max-width: 800px) {
    nav.main-nav {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 30px;
        position: absolute;
        height: calc(100vh + 50px);
        width: 100vw;
        top: -50px;
        right: -20px;
        transform: translateY(+100%);
        opacity: 0;
        background:
            rgb(34 34 34 / 10%) !important;
        backdrop-filter: blur(2px);
    }

    nav.open li {
        display: flex;
        justify-content: center;
        align-items: center;
        background: rgb(255 255 255 / 50%);
        height: 30px;
        width: 120px;
        border-radius: 30px;
        color: black !important;
        box-shadow: 0 0 20px 0 rgb(0 0 0 / 20%);
    }

    header .bars {
        display: flex;
        overflow-x: hidden;
    }
}

/* for page and tab view */
@media screen and (max-width: 800px) {
    * {
        font-size: small;
    }

    .page {
        flex-direction: column;
        margin: auto 0%;
    }

    .tab-view {
        flex-direction: column;
    }

    .tab-view-box {
        min-height: 600px;
    }
}

::-webkit-scrollbar {
    width: 6px;
    height: 6px;
}

::-webkit-scrollbar-thumb {
    height: 6px;
    width: 6px;
    border-radius: 10px;
    background-color: #d5dce3;
    border: 2px solid transparent;
    background-clip: content-box;
}

::-webkit-scrollbar-track {
    background: transparent;
}
